Update a contractor
curl --request PUT \
--url https://app.lanten.co/api/open/v1/contractors/{contractorId} \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"companyName": "<string>",
"contactName": "<string>",
"email": "jsmith@example.com",
"phoneNumber": "<string>",
"fullAddress": "<string>",
"trades": [
"<string>"
],
"coveragePostcodes": [
"<string>"
],
"certifications": [
{
"type": "<string>",
"registrationNumber": "<string>",
"expiryDate": "2023-11-07T05:31:56Z"
}
],
"insurance": [
{
"type": "<string>",
"amount": 123,
"expiryDate": "2023-11-07T05:31:56Z"
}
],
"notes": "<string>"
}
'import requests
url = "https://app.lanten.co/api/open/v1/contractors/{contractorId}"
payload = {
"companyName": "<string>",
"contactName": "<string>",
"email": "jsmith@example.com",
"phoneNumber": "<string>",
"fullAddress": "<string>",
"trades": ["<string>"],
"coveragePostcodes": ["<string>"],
"certifications": [
{
"type": "<string>",
"registrationNumber": "<string>",
"expiryDate": "2023-11-07T05:31:56Z"
}
],
"insurance": [
{
"type": "<string>",
"amount": 123,
"expiryDate": "2023-11-07T05:31:56Z"
}
],
"notes": "<string>"
}
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
companyName: '<string>',
contactName: '<string>',
email: 'jsmith@example.com',
phoneNumber: '<string>',
fullAddress: '<string>',
trades: ['<string>'],
coveragePostcodes: ['<string>'],
certifications: [
{
type: '<string>',
registrationNumber: '<string>',
expiryDate: '2023-11-07T05:31:56Z'
}
],
insurance: [{type: '<string>', amount: 123, expiryDate: '2023-11-07T05:31:56Z'}],
notes: '<string>'
})
};
fetch('https://app.lanten.co/api/open/v1/contractors/{contractorId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"teamId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"companyName": "<string>",
"contactName": "<string>",
"email": "jsmith@example.com",
"phoneNumber": "<string>",
"fullAddress": "<string>",
"trades": [
"<string>"
],
"coveragePostcodes": [
"<string>"
],
"certifications": [
{
"type": "<string>",
"registrationNumber": "<string>",
"expiryDate": "2023-11-07T05:31:56Z"
}
],
"insurance": [
{
"type": "<string>",
"amount": 123,
"expiryDate": "2023-11-07T05:31:56Z"
}
],
"rating": 123,
"completedJobs": 123,
"notes": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}Contractors
Update a contractor
PUT
/
contractors
/
{contractorId}
Update a contractor
Authorizations
Path Parameters
Body
application/json
Maximum string length:
260Maximum string length:
260Maximum string length:
160Maximum string length:
560Available options:
active, inactive, on_holiday Show child attributes
Show child attributes
Show child attributes
Show child attributes
Response
Updated contractor
Show child attributes
Show child attributes
⌘I
